Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.blocker
Class BlockDefinition

    java.lang.Object
      com.sun.mdm.index.configurator.impl.blocker.BlockDefinition

public class BlockDefinition
extends java.lang.Object

Constructor Summary
`BlockDefinition()` Creates a new instance of BlockDefinition

Method Summary
`void` | `addRule(BlockRule rule)` Adds a feature to the Rule attribute of the BlockDefinition object.
`java.lang.String` | `getHint()` Getter for Hint attribute of the BlockDefinition object.
`java.lang.String` | `getId()` Getter for ID attribute of the BlockDefinition object.
`java.util.Collection` | `getRules()` Getter for Rules attribute of the BlockDefinition object.
`java.lang.String` | `getSql()` Getter for Sql attribute of the BlockDefinition object.
`void` | `setHint(java.lang.String val)` Setter for Hint attribute of the BlockDefinition object.
`void` | `setId(java.lang.String val)` Setter for ID attribute of the BlockDefinition object.
`void` | `setSql(java.lang.String val)` Setter for Sql attribute of the BlockDefinition object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockDefinition

    public BlockDefinition()

  Creates a new instance of BlockDefinition

Method Detail

### addRule

    public void addRule(BlockRule rule)

  Adds a feature to the Rule attribute of the BlockDefinition object.

  Parameters:
    `rule` - The feature to be added to the Rule attribute.

### getHint

    public java.lang.String getHint()

  Getter for Hint attribute of the BlockDefinition object.

  Returns:
    Hint String

### getId

    public java.lang.String getId()

  Getter for ID attribute of the BlockDefinition object.

  Returns:
    id.

### getRules

    public java.util.Collection getRules()

  Getter for Rules attribute of the BlockDefinition object.

  Returns:
    list of rules.

### getSql

    public java.lang.String getSql()

  Getter for Sql attribute of the BlockDefinition object.

  Returns:
    SQL statement

### setHint

    public void setHint(java.lang.String val)

  Setter for Hint attribute of the BlockDefinition object.

  Parameters:
    `val` - Hint value.

### setId

    public void setId(java.lang.String val)

  Setter for ID attribute of the BlockDefinition object.

  Parameters:
    `val` - ID value.

### setSql

    public void setSql(java.lang.String val)

  Setter for Sql attribute of the BlockDefinition object.

  Parameters:
    `val` - Sql value.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.